%define	major 0
%define	libname %mklibname gnomescan %major
%define	develname %mklibname gnomescan -d

Summary:	Gnome solution for scanning in the desktop on top of libsane
Name:		gnome-scan
Version:	0.7.2
Release:	%mkrel 2
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		http://www.gnome.org/projects/gnome-scan/index
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.7/%{name}-%{version}.tar.bz2
# (fc) 0.6-2mdv fix with non-UTF8 locale
Patch1:		gnome-scan-0.7.1-utf8.patch
# (fc) 0.7.1-2mdv fix build with babl 0.1
Patch2:		gnome-scan-0.7.1-babl01.patch
Patch3:		gnome-scan-0.7.2-fix-link.patch
Patch4:		gnome-scan-0.7.2-fix-str-fmt.patch
BuildRequires:	libgnomeui2-devel sane-devel
BuildRequires:	gegl-devel gimp-devel
BuildRequires:	perl(XML::Parser) 
BuildRequires:	desktop-file-utils gtk-doc gnome-doc-utils
BuildRequires:	libglade2-devel
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	gimp
Provides:	flegita = %{version}-%{release}
Provides:	gnomescan = %{version}-%{release}

%description
Gnome Scan provide a library for use by applications (e.g. using
plugins) as well as a tiny standalone application, called flegita,
which allow to simply save scan to file.

%package -n %libname
Summary:	Gnome-scan library
Group:		System/Libraries

%description -n %libname
Libraries for using gnome-scan

%package -n %develname
Summary:	Development files for gnome-scan
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig gtk2-devel
Provides:	gnomescan-devel

%description -n %develname
Contains development headers and libraries for gnome-scan

%prep
%setup -q
%patch1 -p1 -b .utf8
%patch2 -p1 -b .babl01
%patch3 -p0 -b .link
%patch4 -p0 -b .str-fmt

%build
autoreconf -fiv
%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install					\
	--remove-category Application			\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
	%{buildroot}%{_datadir}/applications/flegita.desktop


%find_lang %{name}

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}%{_prefix}/doc

%clean
rm -rf %{buildroot}

%post 
touch --no-create %{_datadir}/icons/hicolor
%if %mdkversion < 200900
%{update_menus}
%endif

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%postun 
touch --no-create %{_datadir}/icons/hicolor
%if %mdkversion < 200900
%{clean_menus}
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/flegita
#%{_libdir}/gimp/2.0/plug-ins/flegita-gimp
%{_datadir}/applications/flegita.desktop
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/gnome-scan/

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libgnome-scan.so.%{major}*
%{_libdir}/gnome-scan-1.0/

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libgnome-scan.so
%{_libdir}/pkgconfig/gnome-scan.pc
%doc %{_datadir}/gtk-doc/html/gnome-scan*/


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-2mdv2011.0
+ Revision: 610943
- rebuild

* Tue Mar 02 2010 Emmanuel Andry <eandry@mandriva.org> 0.7.2-1mdv2010.1
+ Revision: 513635
- New version 0.7.2
- rediff p3
- diff p4 to fix string format not literal
- needs autoreconf

* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 0.7.1-2mdv2010.1
+ Revision: 507010
- fix linkage

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch2: fix build with babl 0.1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jan 15 2009 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2009.1
+ Revision: 329647
- New version 0.7.1

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.6-3mdv2009.0
+ Revision: 266919
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 11 2008 Frederic Crozat <fcrozat@mandriva.com> 0.6-2mdv2009.0
+ Revision: 218096
- Fix BuildRequires
- Fix BR
- Patch0: fix when running using non-UTF8 locale
- Patch1: fix module build
- clean specfile

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 16 2008 Emmanuel Andry <eandry@mandriva.org> 0.6-1mdv2009.0
+ Revision: 194754
- import gnome-scan


